=== mlnx-ofed-kernel/drivers/base/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Makefile for the Linux device tree

obj-$(CONFIG_AUXILIARY_BUS) += auxiliary.o
