=== debian/changelog ===
mofed-modules-24.07 (24.07.0.6.1.0+ds1-0ubuntu2) oracular; urgency=medium

  [ Agathe Porte ]
  * d/control: add missing Vcs-Git and Vcs-Browser fields

  [ Mitchell Augustin ]
  * debian/control: add autoconf as dependency (LP: #2080904)

 -- Agathe Porte <agathe.porte@canonical.com>  Mon, 30 Sep 2024 09:13:43 +0200

mofed-modules-24.07 (24.07.0.6.1.0+ds1-0ubuntu1) oracular; urgency=medium

  * Initial upload

 -- Agathe Porte <agathe.porte@canonical.com>  Thu, 05 Sep 2024 16:21:42 +0200
