=== debian/control ===
Source: mofed-modules-24.07
Section: kernel
Priority: optional
Maintainer: Agathe Porte <agathe.porte@canonical.com>
Vcs-Git: https://kernel.ubuntu.com/gitea/gagath/mofed-modules.git
Vcs-Browser: https://kernel.ubuntu.com/gitea/gagath/mofed-modules
Build-Depends:
 debhelper-compat (= 13),
 dh-dkms,
Standards-Version: 4.7.0
Homepage: http://www.nvidia.com
Rules-Requires-Root: no

Package: mofed-modules-24.07-dkms
Architecture: all
Depends:
 dkms,
 pkgconf,
 autoconf,
 ${misc:Depends},
 ${perl:Depends},
Description: DKMS support for MOFED kernel modules
 This package provides integration with the DKMS infrastructure for
 automatically building out of tree kernel modules.
 .
 This package provides the source code for the MOFED kernel modules.
 .
 This package contains the source to be built with dkms.
